package ru.fincode.tsudesk.ui.navigation

import androidx.compose.runtime.Composable
import androidx.navigation.NavHostController
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.navigation
import ru.fincode.tsudesk.core.navigation.AppRoute
import ru.fincode.tsudesk.feature.schedule.presentation.navigation.scheduleGraph
import ru.fincode.tsudesk.feature.splash.presentation.navigation.splashGraph

@Composable
fun AppNavHost(
    navController: NavHostController
) {
    NavHost(
        navController = navController,
        startDestination = AppRoute.Splash
    ) {
        splashGraph(navController)

        navigation<AppRoute.Main>(
            startDestination = AppRoute.Schedule
        ) {
            scheduleGraph()
//            newsGraph(navController)
//            progressGraph(navController)
        }
    }
}
